<template>
	<view class="translation">
		<view style="width: 690rpx;margin: 0 auto;margin-top: 10rpx;">
			
			<view style="width: 100%;border-bottom: 1px solid #E0E0E0;display: flex;padding-bottom: 10rpx;margin-top: 40rpx;"
			v-for="(item,index) in listarr" :key='index' @click="toaidoinfo(item.Content,item.corpusId,item.index)">
				<view style="width: 26rpx;height: 36rpx;margin-top: 4rpx;">
					<image style="width: 26rpx;height: 28rpx;" src="../../static/images/testimg.png" mode=""></image>
				</view>
				<view v-html="item.Content.onebest" style="color: #666666;font-size: 28rpx;line-height: 36rpx;margin-left: 10rpx;width: 80%;"></view>
				<view style="font-size: 28rpx;width: 10%;width: 14%;text-align: right;">{{item.Content.time}}</view>
			</view>
			
		</view>
	</view>
</template>

<script>
	var util = require("../../utils/util.js");
	var config = require("../../config");
	export default {
		data() {
			return {
				customerId:'',
				listarr:[],
				id:'',
				type:'',
				tipsFncName: '', // 提醒页面变更的值
				from: '', // 标记需要刷新的来源
			};
		},
		onLoad(options) {
			this.customerId = options.customerId;
			this.id=options.id;
			this.type=options.type;
			if (options.UpDateEvent) this.tipsFncName = options.UpDateEvent
			if (options.from) this.from = options.from
			this.searchinfo()
		},
		methods: {
			formatTime(num) {
				//格式化时间格式
				num = num.toFixed(0);
				let second = num % 60;
				if (second < 10) second = '0' + second;
				let min = Math.floor(num / 60);
				if (min < 10) min = '0' + min;
				return min + ":" + second;
			},
			//搜索
			searchinfo(){
				let parames={
					marketingId:this.id,
					customerId:this.customerId,
					type:this.type
				}
				this.$u.post("/corpus/pinWordMatching", parames).then(res => {
					res.forEach(item=>{
						item.Content=JSON.parse(item.transferContent)
					})
					res.forEach(cet=>{
						cet.Content.time=this.formatTime(cet.Content.bg/1000)
					})
					this.listarr=res;
				})
			},
			//跳转
			toaidoinfo(item,id,index){
				item.customerId=this.customerId;
				item.id=id;
				item.index=index;
				this.infostust(item)
			},
			//只有一条的时候
			infostust(item){
				console.log("zobudao")
				let d = JSON.parse(JSON.stringify([item]))
					d[0].onebest="";
					console.log(d)
				const parames = {
					pageNum: 1,
					pageSize: 100,
					query: {
						customerId: this.customerId,
					}
				}
				this.$u.post("/corpus/findByPage", parames).then(res => {
					uni.setStorageSync("entrance", 2); //写入缓存
					uni.setStorageSync("searchobj", d[0]); //写入缓存
					if(res[0].merge==0){
						let newobj = res[0];
						if (this.tipsFncName) {
							uni.$emit(this.tipsFncName, d[0])
							uni.$emit('newobjStatus', newobj.status)
							uni.navigateBack()
							return
						}
						if (this.from == 'consumerDetail') {
							uni.navigateTo({
								url: `/pages/mine/details2?customerId=${newobj.customerId}&status=${newobj.status}&itemobj=${JSON.stringify(d[0])}&stateisshow=${'2'}&refresh=true`
							})
						}
						
						uni.navigateTo({
							url: `/pages/mine/details2?customerId=${newobj.customerId}&status=${newobj.status}&itemobj=${JSON.stringify(d[0])}&stateisshow=${'2'}`
						})
					}else{
						let newobj = res[0];
						uni.navigateTo({
							url: `/pages/mine/details?customerId=${newobj.customerId}&status=${newobj.status}&itemobj=${JSON.stringify(d[0])}&stateisshow=${'2'}`
						})
					}
				})
			},
			
		},
	}
</script>
<style lang="scss" scoped>

</style>
